Fetch Screenshot
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
offset: 0,
limit: 15,
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/proof-of-work/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/proof-of-work/screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"offset": 0,
"limit": 15,
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/proof-of-work/screenshot"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"offset": 0,
"limit": 15,
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched screenshots successfully",
"error": {},
"data": [
{
"user": {
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
},
"screenshot": {
"thumbnailUrl": "https://trackpilots.s3.amazonaws.com/screenshots/thumbnails/2026/February/07/sample.png",
"imageUrl": "https://trackpilots.s3.amazonaws.com/screenshots/images/2026/February/07/sample.png"
},
"time": {
"capturedAt": "2026-02-07T16:43:08.364Z"
},
"application": {
"name": "Google Chrome",
"iconUrl": "https://trackpilots.s3.us-east-1.amazonaws.com/app-icon/world-icon.png",
"type": "website",
"category": "Developer Tools",
"domain": "chatgpt.com",
"fullUrl": "https://chatgpt.com",
"productivityStatus": "productive"
},
"isIdle": false
}
]
}Proof Of Work
Fetch Screenshot
Fetch list screenshots between 2 intervals
POST
/
v1
/
proof-of-work
/
screenshot
Fetch Screenshot
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startDate: '2026-02-08 00:00:00',
endDate: '2026-02-08 23:59:59',
timeZone: 'Asia/Kolkata',
userId: ['ab7c4f30-1024-471a-a767-739df0dc53fd'],
offset: 0,
limit: 15,
teamId: []
})
};
fetch('https://api.trackpilots.com/v1/proof-of-work/screenshot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://api.trackpilots.com/v1/proof-of-work/screenshot \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": [
"ab7c4f30-1024-471a-a767-739df0dc53fd"
],
"offset": 0,
"limit": 15,
"teamId": []
}
'import requests
url = "https://api.trackpilots.com/v1/proof-of-work/screenshot"
payload = {
"startDate": "2026-02-08 00:00:00",
"endDate": "2026-02-08 23:59:59",
"timeZone": "Asia/Kolkata",
"userId": ["ab7c4f30-1024-471a-a767-739df0dc53fd"],
"offset": 0,
"limit": 15,
"teamId": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched screenshots successfully",
"error": {},
"data": [
{
"user": {
"userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
"userName": "Sakthivel Govinthan",
"profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
},
"screenshot": {
"thumbnailUrl": "https://trackpilots.s3.amazonaws.com/screenshots/thumbnails/2026/February/07/sample.png",
"imageUrl": "https://trackpilots.s3.amazonaws.com/screenshots/images/2026/February/07/sample.png"
},
"time": {
"capturedAt": "2026-02-07T16:43:08.364Z"
},
"application": {
"name": "Google Chrome",
"iconUrl": "https://trackpilots.s3.us-east-1.amazonaws.com/app-icon/world-icon.png",
"type": "website",
"category": "Developer Tools",
"domain": "chatgpt.com",
"fullUrl": "https://chatgpt.com",
"productivityStatus": "productive"
},
"isIdle": false
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Request payload to fetch screenshots. Either userId or teamId must be provided. Both cannot be empty.
Example:
"2026-02-08 00:00:00"
Example:
"2026-02-08 23:59:59"
IANA timezone of the requester
Example:
"Asia/Kolkata"
List of user UUIDs to fetch screenshots for
Required range:
x >= 0Example:
0
Required range:
1 <= x <= 100Example:
15
List of team UUIDs to fetch screenshots for
Example:
[]
Response
Fetched screenshots successfully.
